// Demo 3

// My First Java Graphics Application.
// Simple Hello World Java Graphics Application

// Adapted from Kernighan and Ritchie's classic C program.
// Adaptation by Charles W. Neville, 1998.

// All this program does is draw "Hello World" on a Frame.

// To see how to compile and run this application, see the file
//   Application.txt in the Tutorials directory.

import java.awt.*;  // have to import the Java AWT (Abstract Window Toolkit)
                    // so Java knows what a Frame is.

// Note: Applications must have their GUI components contained
//       in Frames.  Nothing will be displayed if an application
//       tries to start by displaying a Panel.
//
// You have to click on MSDOS window and type CTRL C to end this
// application.
//
// To see how to compile and run this application, see the file
//   Application.txt in this Demo directory.

class HelloApplication extends Frame {

   // The Java run-time system calls paint periodically to redraw the
   //   application Frame, so the paint method is a good place to draw
   //   text and images on an application Frame.
   public void paint( Graphics g ) {

      // Draw the string "Hello World" on the application Frame, starting
      //    50 pixels over and 100 pixels down.
      g.drawString("Hello World",50, 100);
   }

   // Java applications are stand-alone programs.
   // Every Java application, including this one, must have a method
   //    named public static void main(String[] args).  Method main
   //    is called first whenever a stand-alone program is run.
   public static void main(String[] args) {

     HelloApplication h;

     // Construct an instance of the HelloApplication class
     // (a HelloApplication object).
     h = new HelloApplication();

     // A HelloApplication object is a Frame with additional structure.
     // Set the Frame's size to 400 pixels across by 200 pixels down,
     //   and make the Frame visible (show the Frame).
     h.setSize(400, 200);
     h.setVisible(true);
   }
}
